import type { RouteRecordRaw } from "vue-router";
import Middleware from "@/js/contexts/shared/models/Middleware";
import { Permission } from "@/js/contexts/shared/models/Permission";

const routes: RouteRecordRaw[] = [
  {
    name: "dashboard",
    path: "/dashboard",
    component: () => import("@/js/contexts/dashboard/ui/pages/DashboardPage.vue"),
    meta: {
      middleware: [Middleware.auth],
      permissions: [Permission.DASHBOARD],
    },
  },
];

export default routes;
